Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IPolycurve

    java.lang.Object
      igeo.IObject
          igeo.IPolycurve

    public class IPolycurve

extends IObject

Class of a curve which consists of multiple curves. Implementation is very temporary. To be completed later.

Author:
  Satoru Sugihara

Field Summary
`java.util.ArrayList<ICurve>` | `curves`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server, userData`

Constructor Summary
`IPolycurve()`
`IPolycurve(java.util.ArrayList<ICurve> crvs)`
`IPolycurve(ICurve[] crvs)`
`IPolycurve(IPolycurve crv)`
`IPolycurve(IServerI s)`
`IPolycurve(IServerI s, java.util.ArrayList<ICurve> crvs)`
`IPolycurve(IServerI s, ICurve[] crvs)`
`IPolycurve(IServerI s, IPolycurve crv)`

Method Summary
`IPolycurve` | `clr(java.awt.Color c)`
`IPolycurve` | `clr(java.awt.Color c, double alpha)`
`IPolycurve` | `clr(java.awt.Color c, float alpha)`
`IPolycurve` | `clr(java.awt.Color c, int alpha)`
`IPolycurve` | `clr(double dgray)`
`IPolycurve` | `clr(double dgray, double dalpha)`
`IPolycurve` | `clr(double dr, double dg, double db)`
`IPolycurve` | `clr(double dr, double dg, double db, double da)`
`IPolycurve` | `clr(float fgray)`
`IPolycurve` | `clr(float fgray, float falpha)`
`IPolycurve` | `clr(float fr, float fg, float fb)`
`IPolycurve` | `clr(float fr, float fg, float fb, float fa)`
`IPolycurve` | `clr(IColor c)` to set an object color
`IPolycurve` | `clr(IColor c, double alpha)` to set color, with alpha value overwritten
`IPolycurve` | `clr(IColor c, float alpha)` to set color, with alpha value overwritten
`IPolycurve` | `clr(IColor c, int alpha)` to set color, with alpha value overwritten
`IPolycurve` | `clr(int gray)`
`IPolycurve` | `clr(int gray, int alpha)`
`IPolycurve` | `clr(int r, int g, int b)`
`IPolycurve` | `clr(int r, int g, int b, int a)`
`IPolycurve` | `clr(IObject o)` to set the same color with the object
`boolean` | `contains(ICurve c)`
`ICurve` | `curve(int i)`
`int` | `curveNum()`
`ICurve[]` | `curves()`
`void` | `del()`
`IPolycurve` | `dup()` duplicate object
`IPolycurve` | `hide()`
`IPolycurve` | `hsb(double h, double s, double b)`
`IPolycurve` | `hsb(double h, double s, double b, double a)`
`IPolycurve` | `hsb(float h, float s, float b, float a)`
`boolean` | `isClosed()`
`IPolycurve` | `layer(ILayer l)` Set layer by ILayer object
`IPolycurve` | `name(java.lang.String nm)` IObject methods
`IPolycurve` | `setColor(java.awt.Color c)`
`IPolycurve` | `setColor(java.awt.Color c, double alpha)`
`IPolycurve` | `setColor(java.awt.Color c, float alpha)`
`IPolycurve` | `setColor(java.awt.Color c, int alpha)`
`IPolycurve` | `setColor(double dgray)`
`IPolycurve` | `setColor(double dgray, double dalpha)`
`IPolycurve` | `setColor(double dr, double dg, double db)`
`IPolycurve` | `setColor(double dr, double dg, double db, double da)`
`IPolycurve` | `setColor(float fgray)`
`IPolycurve` | `setColor(float fr, float fg, float fb)`
`IPolycurve` | `setColor(float fr, float fg, float fb, float fa)`
`IPolycurve` | `setColor(float fgray, int falpha)`
`IPolycurve` | `setColor(IColor c)`
`IPolycurve` | `setColor(IColor c, double alpha)`
`IPolycurve` | `setColor(IColor c, float alpha)`
`IPolycurve` | `setColor(IColor c, int alpha)`
`IPolycurve` | `setColor(int gray)`
`IPolycurve` | `setColor(int gray, int alpha)`
`IPolycurve` | `setColor(int r, int g, int b)`
`IPolycurve` | `setColor(int r, int g, int b, int a)`
`IPolycurve` | `setHSBColor(double h, double s, double b)`
`IPolycurve` | `setHSBColor(double h, double s, double b, double a)`
`IPolycurve` | `setHSBColor(float h, float s, float b)`
`IPolycurve` | `setHSBColor(float h, float s, float b, float a)`
`IPolycurve` | `show()`
`boolean` | `visible()`
`IPolycurve` | `weight(double w)`
`IPolycurve` | `weight(float w)`

Methods inherited from class igeo.IObject
`addDynamics, addUserData, addUserData, alpha, alphaInt, attr, attr, attr, awtColor, blue, blueInt, brightness, castStringHashMap, clearDynamics, clearGraphics, clr, cp, createGraphic, defaultAttribute, deletDynamics, deleteDynamics, deleteDynamics, deleteGraphic, dynamicsNum, getAWTColor, getColor, getDynamics, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, grey, greyInt, hsb, hue, initGraphic, initObject, isValid, isVisible, layer, layer, name, red, redInt, resetGraphic, saturation, server, setColor, setParameter, syncColor, syncGraphic, syncVisibility, syncWeight, updateGraphic, userData, userData, userData, userDataNum, weight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### curves

    public java.util.ArrayList<ICurve> curves

Constructor Detail

### IPolycurve

    public IPolycurve()

### IPolycurve

    public IPolycurve(IServerI s)

### IPolycurve

    public IPolycurve(ICurve[] crvs)

### IPolycurve

    public IPolycurve(IServerI s,
                      ICurve[] crvs)

### IPolycurve

    public IPolycurve(java.util.ArrayList<ICurve> crvs)

### IPolycurve

    public IPolycurve(IServerI s,
                      java.util.ArrayList<ICurve> crvs)

### IPolycurve

    public IPolycurve(IPolycurve crv)

### IPolycurve

    public IPolycurve(IServerI s,
                      IPolycurve crv)

Method Detail

### dup

    public IPolycurve dup()

  Description copied from class: `IObject`
  duplicate object

  Overrides:
    `dup` in class `IObject`

### del

    public void del()

  Overrides:
    `del` in class `IObject`

### curveNum

    public int curveNum()

### curve

    public ICurve curve(int i)

### curves

    public ICurve[] curves()

### contains

    public boolean contains(ICurve c)

### isClosed

    public boolean isClosed()

### name

    public IPolycurve name(java.lang.String nm)

  IObject methods

  Overrides:
    `name` in class `IObject`

### layer

    public IPolycurve layer(ILayer l)

  Description copied from class: `IObject`
  Set layer by ILayer object

  Overrides:
    `layer` in class `IObject`

### visible

    public boolean visible()

  Overrides:
    `visible` in class `IObject`

### hide

    public IPolycurve hide()

  Overrides:
    `hide` in class `IObject`

### show

    public IPolycurve show()

  Overrides:
    `show` in class `IObject`

### clr

    public IPolycurve clr(IColor c)

  Description copied from class: `IObject`
  to set an object color

  Overrides:
    `clr` in class `IObject`

### clr

    public IPolycurve clr(IColor c,
                          int alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IObject`

### clr

    public IPolycurve clr(IColor c,
                          float alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IObject`

### clr

    public IPolycurve clr(IColor c,
                          double alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IObject`

### clr

    public IPolycurve clr(IObject o)

  Description copied from class: `IObject`
  to set the same color with the object

  Overrides:
    `clr` in class `IObject`

### clr

    public IPolycurve clr(java.awt.Color c)

  Overrides:
    `clr` in class `IObject`

### clr

    public IPolycurve clr(java.awt.Color c,
                          int alpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IPolycurve clr(java.awt.Color c,
                          float alpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IPolycurve clr(java.awt.Color c,
                          double alpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IPolycurve clr(int gray)

  Overrides:
    `clr` in class `IObject`

### clr

    public IPolycurve clr(float fgray)

  Overrides:
    `clr` in class `IObject`

### clr

    public IPolycurve clr(double dgray)

  Overrides:
    `clr` in class `IObject`

### clr

    public IPolycurve clr(int gray,
                          int alpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IPolycurve clr(float fgray,
                          float falpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IPolycurve clr(double dgray,
                          double dalpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IPolycurve clr(int r,
                          int g,
                          int b)

  Overrides:
    `clr` in class `IObject`

### clr

    public IPolycurve clr(float fr,
                          float fg,
                          float fb)

  Overrides:
    `clr` in class `IObject`

### clr

    public IPolycurve clr(double dr,
                          double dg,
                          double db)

  Overrides:
    `clr` in class `IObject`

### clr

    public IPolycurve clr(int r,
                          int g,
                          int b,
                          int a)

  Overrides:
    `clr` in class `IObject`

### clr

    public IPolycurve clr(float fr,
                          float fg,
                          float fb,
                          float fa)

  Overrides:
    `clr` in class `IObject`

### clr

    public IPolycurve clr(double dr,
                          double dg,
                          double db,
                          double da)

  Overrides:
    `clr` in class `IObject`

### hsb

    public IPolycurve hsb(float h,
                          float s,
                          float b,
                          float a)

  Overrides:
    `hsb` in class `IObject`

### hsb

    public IPolycurve hsb(double h,
                          double s,
                          double b,
                          double a)

  Overrides:
    `hsb` in class `IObject`

### hsb

    public IPolycurve hsb(double h,
                          double s,
                          double b)

  Overrides:
    `hsb` in class `IObject`

### setColor

    public IPolycurve setColor(IColor c)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPolycurve setColor(IColor c,
                               int alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPolycurve setColor(IColor c,
                               float alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPolycurve setColor(IColor c,
                               double alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPolycurve setColor(java.awt.Color c)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPolycurve setColor(java.awt.Color c,
                               int alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPolycurve setColor(java.awt.Color c,
                               float alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPolycurve setColor(java.awt.Color c,
                               double alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPolycurve setColor(int gray)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPolycurve setColor(float fgray)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPolycurve setColor(double dgray)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPolycurve setColor(int gray,
                               int alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPolycurve setColor(float fgray,
                               int falpha)

### setColor

    public IPolycurve setColor(double dgray,
                               double dalpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPolycurve setColor(int r,
                               int g,
                               int b)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPolycurve setColor(float fr,
                               float fg,
                               float fb)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPolycurve setColor(double dr,
                               double dg,
                               double db)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPolycurve setColor(int r,
                               int g,
                               int b,
                               int a)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPolycurve setColor(float fr,
                               float fg,
                               float fb,
                               float fa)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IPolycurve setColor(double dr,
                               double dg,
                               double db,
                               double da)

  Overrides:
    `setColor` in class `IObject`

### setHSBColor

    public IPolycurve setHSBColor(float h,
                                  float s,
                                  float b,
                                  float a)

  Overrides:
    `setHSBColor` in class `IObject`

### setHSBColor

    public IPolycurve setHSBColor(double h,
                                  double s,
                                  double b,
                                  double a)

  Overrides:
    `setHSBColor` in class `IObject`

### setHSBColor

    public IPolycurve setHSBColor(float h,
                                  float s,
                                  float b)

  Overrides:
    `setHSBColor` in class `IObject`

### setHSBColor

    public IPolycurve setHSBColor(double h,
                                  double s,
                                  double b)

  Overrides:
    `setHSBColor` in class `IObject`

### weight

    public IPolycurve weight(double w)

  Overrides:
    `weight` in class `IObject`

### weight

    public IPolycurve weight(float w)

  Overrides:
    `weight` in class `IObject`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD